org.apache.ignite.internal.util.offheap.unsafe

## Interface GridUnsafeCompoundMemory

    public interface GridUnsafeCompoundMemory

Compound memory object. Contains one or more memory regions.

### Method Summary

Methods
`void` `deallocate()` Deallocates this compound memory object.
`void` `merge(GridUnsafeCompoundMemory compound)` Merges another compound memory object with this one.

### Method Detail

#### deallocate

    void deallocate()

Deallocates this compound memory object.

#### merge

    void merge(GridUnsafeCompoundMemory compound)

Merges another compound memory object with this one.

Parameters:
  `compound` - Compound memory.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015